Branch: Tag:

2016-02-23

2016-02-23 13:52:12 by Henrik Grubbström (Grubba) <grubba@grubba.org>

Nettle: Fixed compat with Nettle 3.1.1.

Fixes issues with eg pkg:/library/security/nettle@3.1.1-5.12.0.0.0.90.0
on Solaris 11.

39:   {   #ifdef HAVE_NETTLE_VERSION_H    push_constant_text("%d.%d"); + #ifdef HAVE_NETTLE_VERSION_MAJOR    push_int( nettle_version_major() );    push_int( nettle_version_minor() ); -  + #else +  /* Probably Nettle 3.1.1. */ +  push_int( NETTLE_VERSION_MAJOR ); +  push_int( NETTLE_VERSION_MINOR ); + #endif    f_sprintf(3);   #else    push_int(0);